Skip to main content
Weavr Multi Product API
Authorised Users

Create a user

POST/users

Creates a user linked to the logged-in corporate or consumer identity.

Once on-boarded, users have access to all instruments (cards and accounts) of the identity.

Application-specific permissions to limit what each user can view and do need to be implemented in your application.

In order to Create an Authorised User you would need a stepped-up token. Before calling /multi/users you need to step-up ( issue a challenge multi/stepup/challenges/otp/{channel} )

More details on how to step-up a token can be found here Step-Up

Request

Header parameters

Request body

*
application/json
{}
objectobject · 9 fields

Responses

200OK

Success

Headers
Body
application/json
{}
UserUser · object · 12 fields
Response example
{  "id": "string",  "identity": {    "type": "CONSUMER",    "id": "string"  },  "name": "string",  "surname": "string",  "email": "string",  "mobile": {    "countryCode": "string",    "number": "string"  },  "active": true,  "dateOfBirth": {    "year": 0,    "month": 0,    "day": 0  },  "tag": "string",  "countryOfResidence": "string",  "locale": "en-GB",  "brand": "string"}